Skip to main content
GET
/
v1
/
receipts
List read receipts
curl --request GET \
  --url https://api.messages.dev/v1/receipts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.messages.dev/v1/receipts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.messages.dev/v1/receipts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "chat_id": "<string>",
      "handle": "<string>",
      "last_read_at": 123,
      "synced_at": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "request_id": "<string>"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "missing_required_parameter",
    "message": "The 'from' query parameter is required.",
    "param": "from"
  },
  "request_id": "req_abc123"
}
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "Missing Authorization header. Use 'Authorization: Bearer sk_live_...'"
  },
  "request_id": "req_abc123"
}
{
  "error": {
    "type": "not_found_error",
    "code": "line_not_found",
    "message": "Line not found.",
    "param": "from"
  },
  "request_id": "req_abc123"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Each key has a set of scopes that gate which endpoints it can call: messages:read, messages:write, chats:read, lines:read, reactions:read, reactions:write, typing:read, typing:write, receipts:read, receipts:write, webhooks:read, webhooks:write, outbox:read, files:read, files:write. Keys can also be restricted to a subset of lines.

Query Parameters

from
string
required

Line handle (phone number or Apple ID)

Example:

"+15551234567"

to
string
required

Chat identifier (phone number, Apple ID, or chat ID)

Example:

"+15559876543"

Response

List of read receipts

data
object[]
has_more
boolean

Whether more items exist beyond this page

next_cursor
string | null

Cursor to pass as cursor query parameter for the next page

request_id
string